Robot Simulator of the Robotics Group for Self-Organization of Control: TwoAxisJoint Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TwoAxisJoint Class Reference

`#include <joint.h>`

Inherits OneAxisJoint.

Inherited by Hinge2Joint, and UniversalJoint.

Inheritance diagram for TwoAxisJoint:

[legend]
Collaboration diagram for TwoAxisJoint:

[legend]
List of all members.

## Public Member Functions
| TwoAxisJoint (Primitive *part1, Primitive *part2, const osg::Vec3 &anchor, const Axis axis1, const Axis axis2)
virtual Axis | getAxis2 () const
virtual double | getPosition2 () const =0
virtual double | getPosition2Rate () const =0
virtual void | addForce2 (double force)=0
void | addForces (double force1, double force2)
virtual int | getNumberAxes () const
| returns the number of Axes
virtual std::list< double > | getPositions () const
| returns the positions of all Axes
virtual std::list< double > | getPositionRates () const
| returns the position rates of all Axes
virtual int | getPositions (double *sensorarray) const
| stores the positions of all Axes into sensorarray and returns the number of written entries
virtual int | getPositionRates (double *sensorarray) const
| stores the position rates of all Axes into sensorarray and returns the number of written entries
## Protected Attributes
Axis | axis2

## Constructor & Destructor Documentation

TwoAxisJoint | ( | Primitive * | part1,
|  | Primitive * | part2,
|  | const osg::Vec3 & | anchor,
|  | const Axis | axis1,
|  | const Axis | axis2 |
| ) |  |  | `[inline]`

## Member Function Documentation

virtual void addForce2 | ( | double | force | ) | `[pure virtual]`

Implemented in Hinge2Joint, and UniversalJoint.

void addForces | ( | double | force1,
|  | double | force2 |
| ) |  |  | `[inline]`

virtual Axis getAxis2 | ( |  | ) | const`[inline, virtual]`

virtual int getNumberAxes | ( |  | ) | const`[inline, virtual]`

returns the number of Axes

Reimplemented from OneAxisJoint.

virtual double getPosition2 | ( |  | ) | const`[pure virtual]`

Implemented in Hinge2Joint, and UniversalJoint.

virtual double getPosition2Rate | ( |  | ) | const`[pure virtual]`

Implemented in Hinge2Joint, and UniversalJoint.

int getPositionRates | ( | double * | sensorarray | ) | const`[virtual]`

stores the position rates of all Axes into sensorarray and returns the number of written entries

Reimplemented from OneAxisJoint.

std::list< double > getPositionRates | ( |  | ) | const`[virtual]`

returns the position rates of all Axes

Reimplemented from OneAxisJoint.

int getPositions | ( | double * | sensorarray | ) | const`[virtual]`

stores the positions of all Axes into sensorarray and returns the number of written entries

Reimplemented from OneAxisJoint.

std::list< double > getPositions | ( |  | ) | const`[virtual]`

returns the positions of all Axes

Reimplemented from OneAxisJoint.

## Member Data Documentation

Axis axis2`[protected]`

The documentation for this class was generated from the following files:

- joint.h
- joint.cpp